Create appointment

http
POST https://services.leadconnectorhq.com/calendars/events/appointments

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
titlestringNoTest EventTitle
meetingLocationTypestringNocustomMeeting account type. - If address is provided in the request body, the meetingLocationType defaults to custom. Possible values: 'custom', 'zoom', 'gmeet', 'phone', 'address', 'ms_teams', 'google'
meetingLocationIdstringNocustom_0The unique identifier for the meeting account. - This value can be found in calendar.locationConfigurationsor calendar.teamMembers[].locationConfigurations
overrideLocationConfigbooleanNoTrueFlag to override account config - false - If only meetingLocationId is provided - true - If only meetingLocationType is provided
appointmentStatusstringNoconfirmedPossible values: 'new', 'confirmed', 'cancelled', 'showed', 'noshow', 'invalid'
assignedUserIdstringNo0007BWpSzSwfiuSl0tR2Assigned User Id
descriptionstringNoBooking a call to discuss the projectAppointment Description
addressstringNoZoomAppointment Address
ignoreDateRangebooleanNoFalseIf set to true, the minimum scheduling notice and date range would be ignored
toNotifybooleanNoFalseIf set to false, the automations will not run
ignoreFreeSlotValidationbooleanNoTrueIf true the time slot validation would be avoided for any appointment creation (even the ignoreDateRange)
rrulestringNoRRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event. The rrule only be applied if ignoreFreeSlotValidation is true.
calendarIdstringYesCVokAlI8fgw4WYWoCtQzCalendar Id
locationIdstringYesC2QujeCh8ZnC7al2InWRAccount Id
contactIdstringYes0007BWpSzSwfiuSl0tR2Contact Id
startTimestringYes2021-06-23T03:30:00+05:30Start Time
endTimestringNo2021-06-23T04:30:00+05:30End Time

Responses

200 - Successful response
  • calendarId (string, required): Calendar Id Example: CVokAlI8fgw4WYWoCtQz

  • locationId (string, required): Account Id Example: C2QujeCh8ZnC7al2InWR

  • contactId (string, required): Contact Id Example: 0007BWpSzSwfiuSl0tR2

  • startTime (string): Start Time Example: 2021-06-23T03:30:00+05:30

  • endTime (string): End Time Example: 2021-06-23T04:30:00+05:30

  • title (string): Title Example: Test Event

  • meetingLocationType (string): Meeting Account Type Example: custom

  • appointmentStatus (string): Possible values: 'new', 'confirmed', 'cancelled', 'showed', 'noshow', 'invalid', 'active', 'completed' Example: confirmed

  • assignedUserId (string): Assigned User Id Example: 0007BWpSzSwfiuSl0tR2

  • address (string): Appointment Address Example: Zoom

  • isRecurring (boolean): true if the event is recurring otherwise false Example: true

  • rrule (string): RRULE as per the iCalendar (RFC 5545) specification for recurring events

  • id (string, required): Id Example: 0TkCdp9PfvLeWKYRRvIz

json
{
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "contactId": "0007BWpSzSwfiuSl0tR2",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30",
  "title": "Test Event",
  "meetingLocationType": "custom",
  "appointmentStatus": "confirmed",
  "assignedUserId": "0007BWpSzSwfiuSl0tR2",
  "address": "Zoom",
  "isRecurring": "true",
  "rrule": "string",
  "id": "0TkCdp9PfvLeWKYRRvIz"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/calendars/events/appointments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "Test Event",
  "meetingLocationType": "custom",
  "meetingLocationId": "custom_0",
  "overrideLocationConfig": true,
  "appointmentStatus": "confirmed",
  "assignedUserId": "0007BWpSzSwfiuSl0tR2",
  "description": "Booking a call to discuss the project",
  "address": "Zoom",
  "ignoreDateRange": false,
  "toNotify": false,
  "ignoreFreeSlotValidation": true,
  "rrule": "string",
  "calendarId": "CVokAlI8fgw4WYWoCtQz",
  "locationId": "C2QujeCh8ZnC7al2InWR",
  "contactId": "0007BWpSzSwfiuSl0tR2",
  "startTime": "2021-06-23T03:30:00+05:30",
  "endTime": "2021-06-23T04:30:00+05:30"
}'

Last updated October 26, 2026

Was this page helpful?